"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_libraries_IsHouseExist = require("../../../common/libraries/IsHouseExist.js");
const pages_index_model = require("../model.js");
require("../../../common/libraries/request.js");
const common_store_useWeAppAuthStore = require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/libraries/apiLoading.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "Classification",
  setup(__props) {
    const auth = common_store_useWeAppAuthStore.useWeAppAuthStore();
    const scroll_view = common_vendor.ref({});
    const handleScroll = (e) => {
      scroll_view.value = e.detail;
    };
    const goToPage = async (i) => {
      if (!common_libraries_IsHouseExist.getIsHouseExist(i))
        return;
      if (i == null ? void 0 : i.skip_url) {
        common_vendor.index.navigateTo({ url: i == null ? void 0 : i.skip_url });
      } else {
        common_vendor.index.showModal({
          title: "提示",
          content: "该功能在当前项目暂未开放，敬请期待",
          confirmColor: "#0082FA",
          success: function(res) {
            if (res.confirm) {
              console.log("用户点击确定");
            } else if (res.cancel) {
              console.log("用户点击取消");
            }
          }
        });
      }
    };
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return {
        a: common_vendor.f((_c = (_b = (_a = common_vendor.unref(auth)) == null ? void 0 : _a.data) == null ? void 0 : _b.config) == null ? void 0 : _c.companyAction, (i, index, i0) => {
          var _a2, _b2, _c2, _d, _e, _f, _g, _h;
          return common_vendor.e({
            a: i == null ? void 0 : i.is_show
          }, (i == null ? void 0 : i.is_show) ? common_vendor.e({
            b: ((_b2 = (_a2 = i.icon) == null ? void 0 : _a2[0]) == null ? void 0 : _b2.url) || "",
            c: !index && ((_d = (_c2 = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _c2.countBills) == null ? void 0 : _d.value)
          }, !index && ((_f = (_e = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _e.countBills) == null ? void 0 : _f.value) ? {
            d: common_vendor.t((_h = (_g = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _g.countBills) == null ? void 0 : _h.value)
          } : {}, {
            e: common_vendor.t(i.name),
            f: common_vendor.o(($event) => goToPage(i), `items_${index}`)
          }) : {}, {
            g: `items_${index}`
          });
        }),
        b: common_vendor.o(handleScroll)
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-1833569a"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/pages/index/components/Classification.vue"]]);
wx.createComponent(Component);
